Bug 1411630 - [Tracker] Check and update all patches
Summary: [Tracker] Check and update all patches
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 28
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 07:30 UTC by Michal Schorm
Modified: 2018-06-14 22:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-14 22:21:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Schorm 2017-01-10 07:30:49 UTC
mariadb-admincrash.patch
 * can be dropped.
 * was fixed by upstream in 10.1.18: https://mariadb.atlassian.net/browse/MDEV-7883
 * tested, ready to apply

mysql-embedded-check.c
 * can be dropped
 * it is not used for quite a time and should be solved by upstream (check needed)

mariadb-errno.patch
 * can be dropped
 * fix from the times of mysql, should be solved by upstream (check needed)

mariadb-galera-new-cluster-help.patch
 * patch sent to upstream: https://jira.mariadb.org/browse/MDEV-11748

mariadb-string-overflow.patch
 * found by covscan
 * should be checked by covscan again in current version and reported to the upstream

mariadb-strmov.patch
 * candidate on discussion with upstream, good description inside patch.

mariadb-notestdb.patch
 * instant removal of test db. 
 * add reasoning
 * most likely to be found as security issue (since the test db has some special 
   permissions), however, "mysql_secure_installation" should be ran for every instance 
   before move to the production server.

mariadb-file-content-patch
 * maybe it would be wise to rename patches, that modify testsuite to mariadb-test-*

mysql-check-socket.sh
 * this script should be offered to the upstream. They don't usually count with running 
   multiple MariaDB versions on one server, but it happens not only but for example in 
   software collections.

Comment 1 Michal Schorm 2017-01-10 09:50:16 UTC
mariadb-strmov.patch
 * This issue has been formerly found in MySQL, where it is solved now.
 * An issue has been created at upstream JIRA
   https://jira.mariadb.org/browse/MDEV-11752

Comment 2 Fedora End Of Life 2017-02-28 10:55:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Daniel Black 2017-12-17 22:29:08 UTC
mysql-check-socket.sh - I'm quite sure its needed any more. Type=notify means that mysqld_safe (referenced in the script isn't actually used). With Type=notify mysqld will exist if the socket file already exists and before it advises systemd READY=1.

mariadb-string-overflow.patch - code change upstream
https://github.com/MariaDB/server/blob/10.3//sql/sql_prepare.cc#L3476


mariadb-notestdb.patch mysql_install_db.pl - not sure its used - Windows only maybe. Was left out of the cleanup in 52516706c86f9f66c76836eabde7e2477694bac3
https://jira.mariadb.org/browse/MDEV-12645 feature request to no install test in mysql_install_db{.sh} - suspect an upstream patch will be merged quickly.


mariadb-file-content-patch - still a mess. arguments to CREATE_INFO_SRC CREATE_INFO_BIN macros could be changed but the test suite also needs a change.

Comment 4 Fedora End Of Life 2018-02-20 15:38:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.


Note You need to log in before you can comment on or make changes to this bug.